Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# Plan_Launcher.cpp File Reference

`#include "Plan_Launcher_Impl.h"`
`#include "ace/OS.h"`
`#include "ace/Get_Opt.h"`
`#include <iostream>`
`#include "Interfaces/ExecutionManagerC.h"`

Include dependency graph for Plan_Launcher.cpp:

## Namespaces
namespace | CIAO
namespace | CIAO::Plan_Launcher
## Enumerations
enum | mode_type { pl_mode_start, pl_mode_interactive, pl_mode_stop_by_dam, pl_mode_stop_by_uuid, pl_mode_redeployment }
## Functions
void | usage (const ACE_TCHAR *program)
bool | parse_args (int argc, ACE_TCHAR *argv[])
::Deployment::DomainApplicationManager_ptr | read_dap_ior (CORBA::ORB_ptr orb ACE_ENV_ARG_DECL)
int | write_dap_ior (CORBA::ORB_ptr orb,::Deployment::DomainApplicationManager_ptr dap ACE_ENV_ARG_DECL)
int | run_main_implementation (int argc, char *argv[])
int | ACE_TMAIN (int argc, ACE_TCHAR *argv[])
## Variables
const char * | package_url = 0
const char * | new_package_url = 0
const char * | plan_uuid = 0
bool | use_naming = false
const char * | ior_file = "file://em.ior"
const char * | dap_ior_filename = 0
const char * | dap_ior = 0
mode_type | mode = pl_mode_interactive

## Enumeration Type Documentation

enum mode_type

  | Enumeration values:
  pl_mode_start |
  pl_mode_interactive |
  pl_mode_stop_by_dam |
  pl_mode_stop_by_uuid |
  pl_mode_redeployment |

## Function Documentation

int ACE_TMAIN | ( | int | argc,
|  | ACE_TCHAR * | argv[]
| ) |

bool parse_args | ( | int | argc,
|  | ACE_TCHAR * | argv[]
| ) | `[static]`

::Deployment::DomainApplicationManager_ptr read_dap_ior | ( | CORBA::ORB_ptr orb | ACE_ENV_ARG_DECL | ) | `[static]`

int run_main_implementation | ( | int | argc,
|  | char * | argv[]
| ) | `[static]`

void usage | ( | const ACE_TCHAR * | program | ) | `[static]`

int write_dap_ior | ( | CORBA::ORB_ptr | orb,
|  | ::Deployment::DomainApplicationManager_ptr dap | ACE_ENV_ARG_DECL
| ) | `[static]`

## Variable Documentation

const char* CIAO::Plan_Launcher::dap_ior = 0

const char* CIAO::Plan_Launcher::dap_ior_filename = 0

const char* CIAO::Plan_Launcher::ior_file = "file://em.ior"

mode_type CIAO::Plan_Launcher::mode = pl_mode_interactive

const char* CIAO::Plan_Launcher::new_package_url = 0

const char* CIAO::Plan_Launcher::package_url = 0

const char* CIAO::Plan_Launcher::plan_uuid = 0

bool CIAO::Plan_Launcher::use_naming = false